package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 补贴管理对象 szxc_butie
 *
 * @author hs
 * @date 2024-04-17
 */
public class SzxcButie extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 补贴类别 */
    @Excel(name = "补贴类别")
    private String type;

    /** 补贴项目名称 */
    @Excel(name = "补贴项目名称")
    private String xmTitle;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private Long xmId;

    /** 年度 */
    @Excel(name = "年度")
    private String year;

    /** 标准金额 */
    @Excel(name = "标准金额")
    private String money;

    /** 补贴居民id */
    @Excel(name = "补贴居民id")
    private Long jmId;

    /** 补贴人 */
    @Excel(name = "补贴人")
    private String name;

    /** 内容描述 */
    @Excel(name = "内容描述")
    private String content;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String zfStatus;

    /** 备注 */
    @Excel(name = "备注")
    private String shRemark;

    /** 审核部门id */
    @Excel(name = "审核部门id")
    private Long auditDeptid;

    /** 审核部门 */
    @Excel(name = "审核部门")
    private String auditDept;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditName;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String auditResult;

    /** 审核原由 */
    @Excel(name = "审核原由")
    private String auditReason;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 补贴组织 */
    @Excel(name = "补贴组织")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setXmTitle(String xmTitle)
    {
        this.xmTitle = xmTitle;
    }

    public String getXmTitle()
    {
        return xmTitle;
    }
    public void setXmId(Long xmId)
    {
        this.xmId = xmId;
    }

    public Long getXmId()
    {
        return xmId;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMoney(String money)
    {
        this.money = money;
    }

    public String getMoney()
    {
        return money;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setZfStatus(String zfStatus)
    {
        this.zfStatus = zfStatus;
    }

    public String getZfStatus()
    {
        return zfStatus;
    }
    public void setShRemark(String shRemark)
    {
        this.shRemark = shRemark;
    }

    public String getShRemark()
    {
        return shRemark;
    }
    public void setAuditDeptid(Long auditDeptid)
    {
        this.auditDeptid = auditDeptid;
    }

    public Long getAuditDeptid()
    {
        return auditDeptid;
    }
    public void setAuditDept(String auditDept)
    {
        this.auditDept = auditDept;
    }

    public String getAuditDept()
    {
        return auditDept;
    }
    public void setAuditName(String auditName)
    {
        this.auditName = auditName;
    }

    public String getAuditName()
    {
        return auditName;
    }
    public void setAuditResult(String auditResult)
    {
        this.auditResult = auditResult;
    }

    public String getAuditResult()
    {
        return auditResult;
    }
    public void setAuditReason(String auditReason)
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason()
    {
        return auditReason;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("type", getType())
                .append("xmTitle", getXmTitle())
                .append("xmId", getXmId())
                .append("year", getYear())
                .append("money", getMoney())
                .append("jmId", getJmId())
                .append("name", getName())
                .append("content", getContent())
                .append("zfStatus", getZfStatus())
                .append("shRemark", getShRemark())
                .append("auditDeptid", getAuditDeptid())
                .append("auditDept", getAuditDept())
                .append("auditName", getAuditName())
                .append("auditResult", getAuditResult())
                .append("auditReason", getAuditReason())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
